<?php

if (!file_exists(__DIR__ . '/vendor/autoload.php')) {
    print('未找到自动装载机！您是否有按照INSTALL.md安装?<br />');
    print('(如果要保留旧版本，请切换到<tt>legacy</tt> 通过运行分支: <tt>git checkout legacy</tt>');
    exit();
}

require_once __DIR__ . '/vendor/autoload.php';

use \SpkS\Config;
use \SpkS\Handler;

$config = new Config(__DIR__, 'conf/spks.yaml');
$config->baseUrlRelative = substr($_SERVER['REQUEST_URI'], 0, strrpos($_SERVER['REQUEST_URI'], '/')) . '/';
$config->baseUrl = 'http' . (array_key_exists('HTTPS', $_SERVER) && $_SERVER['HTTPS']?'s':'') . '://' . $_SERVER['HTTP_HOST'] . $config->baseUrlRelative;

$handler = new Handler($config);
$handler->handle();
